/*
 * Copyright (C) 2016 Moritz Orbach <zufall@apfelboymchen.net>
 *
 * Zufall is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Zufall is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * monitors via X11 directly. Will not pick up changes (impossible withoutn 
 * Xinerama or XRandr I think)
 */
#include <X11/Xutil.h>
#include <X11/extensions/Xinerama.h>
#include "memman.h"
#include "display-x11-x11.h"

/*
 * Interface
 */

head_t *headsx11_init(Display *display, int scrnum, Screen *scr, int *headcount)
{
	int infoslots = 0;
	head_t *heads;

	*headcount = 1;
	infoslots = 2;

	heads = getmem(sizeof(head_t) * infoslots);
	/* first slot contains info for the complete surface */
	heads[0].offset_x = 0;
	heads[0].offset_y = 0;
	heads[0].width    = scr->width;
	heads[0].height   = scr->height;

	/* screen 1 (the only screen) is the same size as the whole area */
	heads[1].offset_x = heads[0].offset_x;
	heads[1].offset_y = heads[0].offset_y;
	heads[1].width    = heads[0].width;
	heads[1].height   = heads[0].height;

	return heads;
}

head_t *headsx11_update(Display *display, int scrnum, Screen *scr, int *headcount, XEvent *ev)
{
	return headsx11_init(display, scrnum, scr, headcount);
}
