/*
 * Copyright (C) 2016 Moritz Orbach <zufall@apfelboymchen.net>
 *
 * Zufall is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Zufall is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * The interface to the image library
 */
#ifndef	IMGLIB_H
#define	IMGLIB_H 1

struct imglib_s;
typedef struct imglib_s imglib_t;

extern imglib_t *imglib_init(void);

/* if there's another image still loaded, it will be automatically unloaded */
extern int imglib_load(imglib_t *imglib, const char *imgpath);
extern int imglib_crop(imglib_t *imglib, int crop_x, int crop_y, int crop_w, int crop_h);

extern int imglib_unload(imglib_t *imglib);
extern void imglib_destroy(imglib_t *imglib);

extern void imglib_get_dimensions(int *w, int *h);
extern void imglib_get_color(int x, int y, int *r, int *g, int *b);

#endif
