/*
 * Copyright (C) 2004, 2005, 2007, 2008, 2016
 * Moritz Orbach <zufall@apfelboymchen.net>
 *
 * Zufall is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Zufall is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * Just malloc and perror()/exit() on error
 */

#include <stdio.h>
#include "memman.h"

void *extendmem(void *p, size_t size) {
	/* don't care about the original value of p, failing is fatal anyway */
	p = realloc(p, size);
	if (p == NULL) {
		perror("realloc");
		exit(2);
	}
	return p;
}

/* typischer name wre anscheinend `xmalloc' (info libc) */
void *getmem(size_t size)
{
	void *p;

	//printf("malloc of %ld\n", size); // debug
	p = malloc(size);
	if (p == NULL) {
		perror("malloc");
		exit(2);
	}
	return p;
}

void freemem(void *pointer)
{
	free(pointer);
	pointer = NULL;
}
