/*
 * Copyright (C) 2016 Moritz Orbach <zufall@apfelboymchen.net>
 *
 * Zufall is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Zufall is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * test program for the high-level imglib and display interfaces
 */
#include <stdio.h>
#include "../src/imglib.h"
#include "../src/display.h"
#include "../src/display-x11-x11.h"

int main(int argc, char *argv[])
{
	imglib_t *imglib = NULL;         /* image library interface */
	display_t *display = NULL;
	
	if (argc < 2) {
		printf("usage: %s IMAGEFILE\n", argv[0]);
		return 1;
	}

	imglib = imglib_init();
	if (! (display = display_open("bla", imglib))) {
		printf("could not open display\n");
		return 1;
	}

	if (imglib_load(imglib, argv[1])) {
		if (display_renderimg(display, 0, imglib, "#373E35", 0, 0, 256, 256))
			display_showimgs(display);
		else
			printf("warnix\n");
	}
	imglib_destroy(imglib);
	display_close(display);

	return 0;
}

