/*
 * Copyright (C) 2016 Moritz Orbach <zufall@apfelboymchen.net>
 *
 * Zufall is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Zufall is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * Test program imglib-imlib from a display interface perspective.
 * It just loads an image.
 */
#include <stdio.h>
#include "../src/imglib.h"
#include "../src/imglib-display-x11.h"
#include <X11/Xlib.h>

void compilerwarning(Pixmap *p)
{
	return;
}

int main(int argc, char *argv[])
{
	Display *dsp;
	Pixmap *p;

	if (argc < 2) {
		printf("usage: %s IMAGEFILE\n", argv[0]);
		return 1;
	}

	dsp = XOpenDisplay(NULL);
	if (dsp == NULL) {
		printf("error opening display\n");
		return 1;
	}
	XSynchronize(dsp, True);

	imglib_t *imglib = NULL; /* image library interface */
	if (!(imglib = imglib_init())) {
		printf("error initializing imglib\n");
		return 1;
	}
	if (!imglib_displaysetup(imglib, dsp, RootWindow(dsp, DefaultScreen(dsp)))) {
		printf("error loading display\n");
		return 1;
	}
	printf("loading %s into imglib\n", argv[1]);
	if (imglib_load(imglib, argv[1]))
		printf("success!\n");
	else {
		printf("error loading file\n");
		return 1;
	}
	p = imglib_render(imglib, 42, 42);
	imglib_destroy(imglib);
	compilerwarning(p);
	
	return 0;
}

